KSDK 1.1.0 and KDS 2.0

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

KSDK 1.1.0 and KDS 2.0

Jump to solution
2,438 Views
a8Chcx
Contributor V

Hi Alice,

When I am using KSDK1.1.0 and KDS 2.0 to generate KSDK+PE project. I had the same problem as JunFeng.

But, if Iuse KSDK1.0.0, it is fine...

Could you let me know if you have the solution for that?

Thanks,

Christie

0 Kudos
1 Solution
1,723 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Su,

This is really a problem , sorry for the inconvenience for you !

Now my colleague   come up with work around :    What's mean - assertion "!status" failed: file "C:/Freescale/KSDK_1.1

"

Workaround:

1) Set the OS_Task priority between 0 and 9. 

     fsl_os_abstraction_mqx.c adds "7" to the priority you set in the component so as to reserve 0-7 for MQXLite OS.

     Later in task.c there is code to check the priority of the task as compared to LOWEST_TASK_PRIORITY which is set to default to 16 decimal.

2) change the LOWEST_TASK_PRIORITY 40 and the default OS_Task priority of 32 will work.

"

Hope it helps

Alice

View solution in original post

0 Kudos
15 Replies
1,723 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Christie,

We only need select the MQX_KSDK under the "fsl_os_abstraction" component. Needn't add the mqx_ksdk component.

About the detail I have show on there :

KSDK 1.1.0 and KDS 2.0

Hope it helps

Alice

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

It is fine for building...

But, when I do the debugging, the following error happened

"òassertion "!status" failed: file "../SDK/rtos/mqx/mqx/sou"

Could you tell me how to fix this problem?

Thanks,

Christie

0 Kudos
1,723 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Christie,

Could you show your project configuration view screenshot.

And please tell me detail about your project ,  and do you said KSDK2.0.0 have this error ?

Best Regards

Alice

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

I created the exact same project as that you propose to JunFeng. When I debug the code, I got the above error message. See attached file.

Thanks,

Christie

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

This problem happened when I created a MQX task using PE...

Regards,

Christie

0 Kudos
1,723 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Christie,

It hard find the problem Only from your error screenshot ,

Please tell me how you create your project step by step , then I can reproduce the error refer to your said ,

or show your project,  at least let me know which component your project conclude.

Best Regards

Alice

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

I just created very simple KSD+PE project. Then I choose MQX for my project. All other just fix the error in project...

The problem is easily duplicated.

If I choose the standard for MQX instead of Lite(default setting), it works fine.

So, I can't use MQX lite for this option?

Thanks,

Christie

0 Kudos
1,723 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Christie,

On my side, refer to you said , I create a simple demo , it can work well , and below is the view screenshot , please see the different between us .

1.png

2.png

I can't repetition your problem  , and  I am puzzled , in the SDK_PE, where is the "MQX_Lite"  ?  please attache yours like me .

Alice

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

I can do the same as what you did without any problem.

The problem happened after you create a task. Then you will see the error on HyperTerminal.

But, if I configure MQX to Standard instead of Lite(Default) and re-configure the debug UART as required, it start working. See attached for re-configuration.

Thanks,

Christie

0 Kudos
1,723 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Christie,

Could you  send the project which have error when debug to us ?

Through  there :

pastedImage_1.png

Alice

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

Please check the attached project that I just created. You will see the error message on HyperTerminal. If you change MQX to Standard and re-configure UART, the error message will go away...

Please let me know what you find?

Thanks,

Christie

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

Did you find any problem on my project? If so, please let me know how to fix the problem?

Thanks,

Christie

0 Kudos
1,724 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Su,

This is really a problem , sorry for the inconvenience for you !

Now my colleague   come up with work around :    What's mean - assertion "!status" failed: file "C:/Freescale/KSDK_1.1

"

Workaround:

1) Set the OS_Task priority between 0 and 9. 

     fsl_os_abstraction_mqx.c adds "7" to the priority you set in the component so as to reserve 0-7 for MQXLite OS.

     Later in task.c there is code to check the priority of the task as compared to LOWEST_TASK_PRIORITY which is set to default to 16 decimal.

2) change the LOWEST_TASK_PRIORITY 40 and the default OS_Task priority of 32 will work.

"

Hope it helps

Alice

0 Kudos
1,723 Views
a8Chcx
Contributor V

Hi Alice,

It is fine now. Thank you for your help!

0 Kudos
1,723 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hi Chrristie,

Sorry to reply you late !

And i have test on my side ,it is same like yours.

I think this it doesn't matter,  you can test a simple demo on the task .

while i will ask the KSDK team what meaning about this, and will tell you the result .

Thank for your support to freescale !

Alice

0 Kudos